<mat-toolbar>
  <mat-toolbar-row>
    <a mat-icon-button [routerLink]="['/courses']">
      <mat-icon>arrow_back</mat-icon>
    </a>
    <span>Course Control Panel</span>
    <span *ngIf="selectedCourse$ | async" class="toolbar-menus">
      <button mat-button [matMenuTriggerFor]="versionMenu">
        <span>VERSION PRODUCTION</span><mat-icon>arrow_drop_down</mat-icon>
      </button>
      <mat-menu #versionMenu="matMenu">
        <button
          [disabled]="!(selectedCourse$ | async).administerNewVersionEnabled"
          mat-menu-item
        >
          Start new version
        </button>
        <input
          #startDevelopmentControl
          [value]="(selectedCourse$ | async).startDevelopmentActionId"
          type="hidden"
        />
        <button
          [disabled]="!(selectedCourse$ | async).startDevelopmentEnabled"
          (click)="startDevelopmentAction(startDevelopmentControl.value)"
          mat-menu-item
        >
          Start development
        </button>
        <input
          #completeDevelopmentControl
          [value]="(selectedCourse$ | async).completeDevelopmentActionId"
          type="hidden"
        />
        <button
          [disabled]="!(selectedCourse$ | async).completeDevelopmentEnabled"
          (click)="completeDevelopmentAction(completeDevelopmentControl.value)"
          mat-menu-item
        >
          Complete development
        </button>
        <input
          #approveDevelopmentControl
          [value]="(selectedCourse$ | async).approveDevelopmentActionId"
          type="hidden"
        />
        <button
          [disabled]="!(selectedCourse$ | async).approveDevelopmentEnabled"
          (click)="approveDevelopmentAction(approveDevelopmentControl.value)"
          mat-menu-item
        >
          Approve development
        </button>
        <input
          #rejectDevelopmentControl
          [value]="(selectedCourse$ | async).rejectDevelopmentActionId"
          type="hidden"
        />
        <button
          [disabled]="!(selectedCourse$ | async).rejectDevelopmentEnabled"
          (click)="rejectDevelopmentAction(rejectDevelopmentControl.value)"
          mat-menu-item
        >
          Reject development
        </button>
        <input
          #startContentPreparationControl
          [value]="(selectedCourse$ | async).startContentPreparationActionId"
          type="hidden"
        />
        <button
          [disabled]="!(selectedCourse$ | async).startContentPreparationEnabled"
          (click)="
            startContentPreparationAction(startContentPreparationControl.value)
          "
          mat-menu-item
        >
          Start content preparation
        </button>
        <button
          [disabled]="
            !(selectedCourse$ | async).completeContentPreparationEnabled
          "
          mat-menu-item
        >
          Complete content preparation
        </button>
        <button
          [disabled]="!(selectedCourse$ | async).passContentPreparationEnabled"
          mat-menu-item
        >
          Pass content preparation
        </button>
        <button
          [disabled]="!(selectedCourse$ | async).failContentPreparationEnabled"
          mat-menu-item
        >
          Fail content preparation
        </button>
        <input
          #cancelDevelopmentControl
          [value]="(selectedCourse$ | async).versionProductionCancelActionId"
          type="hidden"
        />
        <button
          [disabled]="!(selectedCourse$ | async).versionProductionCancelEnabled"
          (click)="cancelDevelopmentAction(cancelDevelopmentControl.value)"
          mat-menu-item
        >
          Cancel
        </button>
      </mat-menu>
    </span>
  </mat-toolbar-row>
</mat-toolbar>
<nav mat-tab-nav-bar>
  <a
    mat-tab-link
    *ngFor="let link of navLinks"
    [routerLink]="link.path"
    routerLinkActive
    #rla="routerLinkActive"
    [active]="rla.isActive"
    >{{ link.label }}</a
  >
</nav>

<router-outlet></router-outlet>
